function portalservice_OnLoad()

if EPAConfig == nil then
	EPAConfig = {
		["City"] = '5g',
		["Dalaran"] = '10g',
		["Shattrath"] = '5g',
		["Other"] = 'Free',
		["TradeChannel"] = '2',
		["TolBarad"] = '10g',
		["ValeOEB"] = 'Free',
		["DoReturns"] = 'NO',
		["ReturnsMsg"] = 'I do not offer return journeys',
		["ReturnValue"] = '50',
		["ReadySound"] = 'true',
		["SoundID"] = '1',
		["GoToYou"] = 'NO',
		["GTYMsg"] = '.',
		["Keyword"] = '!portal',
		["PerPerson"] = 'NO',
		["FreePorts"] = 'NO'
	}
end

if EPAConfig.ValeOEB == nil or EPAConfig.ValeOEB == "" then
	EPAConfig.ValeOEB = 'Free'
end

freeportalcheck()

local varload = CreateFrame("Frame")
varload:RegisterEvent("ADDON_LOADED")
varload:RegisterEvent("PLAYER_LEVEL_UP")
varload:SetScript("OnEvent", function(self, event, arg1)
	
	if event == "ADDON_LOADED" and arg1 == "EasyPortalAdvert" then

		if OtherPlaceName == "" or OtherPlaceName == nil then
			local englishFaction, localizedFaction = UnitFactionGroup("player")

			if englishFaction == "Alliance" then
				OtherPlaceName = "Theramore"
			elseif englishFaction == "Horde" then
				OtherPlaceName = "Stonard"
			end	
		end

		local localizedClass, englishClass = UnitClass("player")
		local char = UnitName("player")
		local level = UnitLevel("player")
		local englishFaction, localizedFaction = UnitFactionGroup("player")

		if englishClass ~= "MAGE" then
			message("|cFFFFFF00Easy Portal Advert|r\n|cFFFFFFFFThe character you are currently playing on is not a Mage. Please disable Easy Portal Advert on this character.")
		else

		if level < 42 and englishClass == "MAGE" then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Welcome to EPA v" .. GetAddOnMetadata("EasyPortalAdvert", "Version") .. ". Because you are not yet Level 42, all you can do is set your prices.")
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r v" .. GetAddOnMetadata("EasyPortalAdvert", "Version") .. " loaded. Use /epa help for a list of commands.")
			end
		end

		plugincheck()

		if englishFaction == "Alliance" and OtherPlaceName == "Stonard" then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r This character appears to have been faction changed from Horde. Ads will now say Theramore instead of Stonard.")
			OtherPlaceName = "Theramore"
		end

		if englishFaction == "Horde" and OtherPlaceName == "Theramore" then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r This character appears to have been faction changed from Alliance. Ads will now say Stonard instead of Theramore.")
			OtherPlaceName = "Stonard"
		end			
	end

	if event == "PLAYER_LEVEL_UP" and arg1 == 42 then
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r You may now use all of EPA's features.")
	end

	if event == "PLAYER_LEVEL_UP" and arg1 == 74 then
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r You may now use the Whispers plugin.")
	end

end)

SlashCmdList["ALLPORTS"] = allports
	SLASH_ALLPORTS1 = "/all" -- Changes the price of all portals to the amount specified.

SlashCmdList["BLOSSOM"] = valeprice
	SLASH_BLOSSOM1 = "/vale"

SlashCmdList["KEYWORD"] = keywordset
	SLASH_KEYWORD1 = "/key"

SlashCmdList["LEAVEPARTY"] = leaveparty_command
	SLASH_LEAVEPARTY1 = "/lp"

SlashCmdList["SETCDSOUND"] = setcdsound
	SLASH_SETCDSOUND1 = "/cda" -- Set the sound played when a portal ends its cooldown.

SlashCmdList["PREVIEWSOUND"] = previewsound
	SLASH_PREVIEWSOUND1 = "/cdp" -- Preview the sound played when a portal ends its cooldown.

SlashCmdList["PORTALADVERT"] = portaladvert_command
	SLASH_PORTALADVERT1 = "/ad" -- Display the advert

SlashCmdList["RETPRICE"] = retprice
	SLASH_RETPRICE1 = "/rp" -- Set extra percentage charge of Return Journeys.

SlashCmdList["CITYPRICE"] = cityprice
	SLASH_CITYPRICE1 = "/city" -- Change the price of City portals.

SlashCmdList["SHATTRATHPRICE"] = shattrathprice;
	SLASH_SHATTRATHPRICE1 = "/sc" -- Change the price of Dalaran portals.

SlashCmdList["DALAPRICE"] = dalaprice
	SLASH_DALAPRICE1 = "/dala" -- Change the price of Dalaran portals.

SlashCmdList["TOLBARADPRICE"] = tolbaradprice
	SLASH_TOLBARADPRICE1 = "/tb" -- Change the price of Tol Barad portals.

SlashCmdList["OTHERPRICE"] = otherprice
	SLASH_OTHERPRICE1 = "/other" -- Change the price of Stonard and Theramore portals.

SlashCmdList["TCHAN"] = tradehandler
	SLASH_TCHAN1 = "/tc" -- Set the Trade Channel number.

SlashCmdList["EPAHANDLER"] = epahandler
	SLASH_EPAHANDLER1 = "/epa" -- Handles other EPA related commands.

end

function keywordset(msg, editbox)

if msg == "" or msg == nil then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a value.")
else
	EPAConfig.Keyword = msg
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Your whisper keyword has been changed to |cFF00FFFF" .. msg .. "|r.")
end

end

function leaveparty_command()
	LeaveParty()
end

function setcdsound(msg, editbox)

local id = tonumber(msg)

if id < 1 or id > 3 then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a value between 1 and 3.")
else
	EPAConfig.SoundID = id
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Alert sound changed to |cFF00FFFFportalready0"..id..".mp3|r.")
end

end

function previewsound(msg, editbox)

local id = tonumber(msg)

if id < 1 or id > 3 then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a value between 1 and 3.")
else
	PlaySoundFile("Interface\\AddOns\\EasyPortalAdvert\\sound\\portalready0"..id..".mp3")
end

end

function portaladvert_command()

-- This section is the actual advert itself.

local level = UnitLevel("player")
local englishFaction, localizedFaction = UnitFactionGroup("player")
local lang = GetDefaultLanguage("player")

if level >= 42 and EPAConfig.FreePorts == "YES" then
	SendChatMessage("Free portals! " .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)
elseif EPAConfig.FreePorts == "NO" then
if level >= 42 and level < 52 then

	if englishFaction == "Alliance" then
		SendChatMessage("Portals available! Capital cities: " .. EPAConfig.City .. ". " .. OtherPlaceName .. ": " .. EPAConfig.Other .. "." .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)
	elseif englishFaction == "Horde" then
		SendChatMessage("Portals available to capital cities for " .. EPAConfig.City .. " each." .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)
	end

elseif level >= 52 and level < 66 then

	SendChatMessage("Portals available! Capital cities: " .. EPAConfig.City .. ". " .. OtherPlaceName .. ": " .. EPAConfig.Other .. "." .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)

elseif level >= 66 and level < 74 then

	SendChatMessage("Portals available! Capital cities: " .. EPAConfig.City .. ". " .. OtherPlaceName .. ": " .. EPAConfig.Other .. ". Shattrath: " .. EPAConfig.Shattrath .. "." .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)

elseif level >= 74 and level < 85 then

	SendChatMessage("Portals available! Capital cities: " .. EPAConfig.City .. ". " .. OtherPlaceName .. ": " .. EPAConfig.Other .. ". Shattrath: " .. EPAConfig.Shattrath .. ". Dalaran: " .. EPAConfig.Dalaran .. "." .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)

elseif level >= 85 and level ~= 90 then

	if IsAddOnLoaded("EPA-Whispers") == 1 then
		SendChatMessage("Portals available! For prices, send me a whisper saying " .. EPAConfig.Keyword .. ". " .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)
	elseif IsAddOnLoaded("EPA-Whispers") == nil then
		SendChatMessage("Portals available! Capital cities: " .. EPAConfig.City .. ". " .. OtherPlaceName .. ": " .. EPAConfig.Other .. ". Shattrath: " .. EPAConfig.Shattrath .. ". Dalaran: " .. EPAConfig.Dalaran .. ". Tol Barad: " .. EPAConfig.TolBarad .. ". " .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)
	end

elseif level == 90 then
	
	if IsAddOnLoaded("EPA-Whispers") == 1 then
		SendChatMessage("Portals available! For prices, send me a whisper saying " .. EPAConfig.Keyword .. ". " .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)
	elseif IsAddOnLoaded("EPA-Whispers") == nil then
		SendChatMessage("Portals available! Capital cities: " .. EPAConfig.City .. ". " .. OtherPlaceName .. ": " .. EPAConfig.Other .. ". Shattrath: " .. EPAConfig.Shattrath .. ". Dalaran: " .. EPAConfig.Dalaran .. ". Tol Barad: " .. EPAConfig.TolBarad .. ". Vale of Eternal Blossoms: " .. EPAConfig.ValeOEB .. ". " .. EPAConfig.ReturnsMsg .. EPAConfig.GTYMsg,"CHANNEL",lang,EPAConfig.TradeChannel)
	end

end
end

end

function retprice(msg, editbox)

local priceret = tonumber(msg)

if priceret == nil or priceret == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a value between 1 and 100.")
elseif priceret < 1 or priceret > 100 then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a value between 1 and 100.")
else
	EPAConfig.ReturnValue = priceret
	checkretmsg();
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Return Journeys are now charged at |cFF00FFFF" .. msg .. "%|r.")
end

end

function checkretmsg()
	if EPAConfig.DoReturns == 'YES' then
		if EPAConfig.FreePorts == 'YES' then
			EPAConfig.ReturnsMsg = 'I offer a return journey service'
		elseif EPAConfig.FreePorts == 'NO' then
			EPAConfig.ReturnsMsg = ' For ' .. EPAConfig.ReturnValue .. '% extra, I will do a return journey (where applicable)'
		end
	elseif EPAConfig.DoReturns == 'NO' then
		return
	end
end

function cityprice(msg, editbox)

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a price.")
else
	local pricecity = msg
	EPAConfig.City = pricecity
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Price of City Portals changed to |cFF00FFFF" .. msg .. "|r.")
end

	freeportalcheck()

end

function dalaprice(msg, editbox)

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a price.")
else
	local pricedala = msg
	EPAConfig.Dalaran = pricedala
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Price of Dalaran Portals changed to |cFF00FFFF" .. msg .. "|r.")
end

	freeportalcheck()

end

function valeprice(msg, editbox)

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a price.")
else
	local pricevoeb = msg
	EPAConfig.ValeOEB = pricevoeb
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Price of Vale of Eternal Blossoms Portals changed to |cFF00FFFF" .. msg .. "|r.")
end

	freeportalcheck()

end

function shattrathprice(msg, editbox)

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a price.")
else
	local priceshattrath = msg
	EPAConfig.Shattrath = priceshattrath
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Price of Shattrath Portals changed to |cFF00FFFF" .. msg .. "|r.")
end

	freeportalcheck()

end

function tolbaradprice(msg, editbox)

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a price.")
else
	local pricetb = msg
	EPAConfig.TolBarad = pricetb
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Price of Tol Barad Portals changed to |cFF00FFFF" .. msg .. "|r.")
end

	freeportalcheck()

end

function tradehandler(msg, editbox)

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a number.")
else
	local tradechannel = tonumber(msg)
	EPAConfig.TradeChannel = tradechannel
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Trade Channel number changed to |cFF00FFFF" .. msg .. "|r.")
end

end

function otherprice(msg, editbox)

local englishFaction, localizedFaction = UnitFactionGroup("player")

if msg == nil then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a price.")
else
	local priceother = msg
	EPAConfig.Other = priceother
		
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Price of " .. OtherPlaceName .. " Portals changed to |cFF00FFFF" .. msg .. "|r.")

end

	freeportalcheck()

end

function epahandler(msg)

local localizedClass, englishClass = UnitClass("player")
local englishFaction, localizedFaction = UnitFactionGroup("player")
local level = UnitLevel("player")

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Please use one of the following arguments:")
	DEFAULT_CHAT_FRAME:AddMessage("cost/info, help, sound")
elseif msg == "sound" then
	if EPAConfig.ReadySound == "true" then
		EPAConfig.ReadySound = 'false'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r The cooldown alert sound has been |cFFFF0000disabled|r.")
	elseif EPAConfig.ReadySound == "false" then
		EPAConfig.ReadySound = 'true'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r The cooldown alert sound has been |cFF00FF00enabled|r.")
	end
elseif msg == "cost" or msg == "info" then

local GUI = LibStub("AceGUI-3.0") 
local frame = GUI:Create("Frame") 

frame:SetTitle("Settings") 
frame:SetStatusText("Version " ..GetAddOnMetadata("EasyPortalAdvert", "Version")) 
local txt,sf 
local example_txt = ("EPA is currently using the following settings:\n\n|cFF00FF00Cost of portals to Capital Cities:|r " .. EPAConfig.City .. ".\n|cFF00FF00Cost of portals to " .. OtherPlaceName .. ":|r " .. EPAConfig.Other .. ".\n|cFF00FF00Cost of portals to Shattrath:|r " .. EPAConfig.Shattrath .. ".\n|cFF00FF00Cost of portals to Dalaran:|r " .. EPAConfig.Dalaran .. ".\n|cFF00FF00Cost of portals to Tol Barad:|r " .. EPAConfig.TolBarad .. ".\n|cFF00FF00Cost of portals to Vale of Eternal Blossoms:|r " .. EPAConfig.ValeOEB .. ".\n\n|cFF00FF00Trade Channel:|r " .. EPAConfig.TradeChannel .. "\n\nYour Return Journey message is: |cFF00FFFF" .. EPAConfig.ReturnsMsg .. "|r\nYour 'Go To You' message is: |cFF00FFFF" .. EPAConfig.GTYMsg .. "|r\n\nYour Whisper keyword is: |cFF00FFFF" .. EPAConfig.Keyword .. "|r\n\nYour alert sound is: |cFF00FFFFInterface\47AddOns\47EasyPortalAdvert\47sound\47portalready0" .. EPAConfig.SoundID .. ".mp3|r.\n\n\n"):rep(1) 
	 
frame:SetLayout("Fill") 
	 
txt = GUI:Create("Label") 
txt:SetFullWidth(true) 
txt:SetText(example_txt) 

sf = GUI:Create("ScrollFrame") 
sf:SetLayout("Flow") 
sf:AddChild(txt) 

frame:AddChild(sf)

elseif msg == "help" then

local GUI = LibStub("AceGUI-3.0") 
local frame = GUI:Create("Frame") 

frame:SetTitle("EPA Help") 
frame:SetStatusText("Version " ..GetAddOnMetadata("EasyPortalAdvert", "Version")) 
local txt,sf 
local example_txt = ("|cFFFFFF00EPA COMMANDS|r\n\n|cFF00FF00/epa info|r - Display the current settings being used by EPA.\n|cFF00FF00/epa sound|r - Toggle the cooldown alert sound on or off.\n|cFF00FF00/epa gty|r - Tells people wanting a portal whether or not you will go to them.\n|cFF00FF00/epa pp|r - Toggle 'per-person' message on or off.\n|cFF00FF00/epa ret|r - Toggles return journeys on or off.\n\n|cFFFFFF00PRICE SETTINGS|r\n\n|cFF00FF00/city <number>|r - Set the price of portals to your faction's Capital Cities.\n|cFF00FF00/other <number>|r - Set the price of portals to " .. OtherPlaceName .. ".\n|cFF00FF00/sc <number>|r - Set the price of portals to Shattrath.\n|cFF00FF00/dala <number>|r - Set the price of portals to Dalaran.\n|cFF00FF00/tb <number>|r - Set the price of portals to Tol Barad.\n|cFF00FF00/vale <number>|r - Set thge price of portals to the Vale of Eternal Blossoms.\n\n|cFFFFFF00CHANNEL SETTINGS|r\n\n|cFF00FF00/tc <number>|r - Tells EPA what number to use for Trade chat (usually 2).\n\n|cFFFFFF00DISPLAYING ADVERTS|r\n\n|cFF00FF00/ad|r - Displays your advert in the Trade channel.\n\n|cFFFFFF00MESSAGE SETTINGS|r\n\n|cFF00FF00/rp <number>|r - Tells EPA how much extra you charge for return journeys (as an extra x% of the total cost).\n|cFF00FF00/key <message>|r - Set the keyword used by the Whispers plugin.\n\n|cFFFFFF00ALERT SOUND SETTINGS|r\n\n|cFF00FF00/cda <number>|r - Tells EPA which sound to play when a portal finishes its cooldown (unless this feature is turned off).\n|cFF00FF00/cdp <number>|r - Preview one of the |cFF00FFFFthree|r alert sounds.\n\n|cFFFFFF00OTHER COMMANDS|r\n\n|cFF00FF00/lp|r - Quickly leave your current party."):rep(1) 	 
frame:SetLayout("Fill") 
	 
txt = GUI:Create("Label") 
txt:SetFullWidth(true) 
txt:SetText(example_txt) 

sf = GUI:Create("ScrollFrame") 
sf:SetLayout("Flow") 
sf:AddChild(txt) 

frame:AddChild(sf)

elseif msg == "pp" then

	if EPAConfig.PerPerson == "YES" then
		EPAConfig.PerPerson = 'NO'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Whispers no longer tell people you charge for portals on a per-person basis.")
	elseif EPAConfig.PerPerson == "NO" then
		EPAConfig.PerPerson = 'YES'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Whispers now tell people you charge for portals on a per-person basis.")
	end
elseif msg == "gty" then

if EPAConfig.GoToYou == 'NO' then
		EPAConfig.GoToYou = 'YES'
		EPAConfig.GTYMsg = '. I will come to you.'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Adverts now tell people that you will go to them.")
	elseif EPAConfig.GoToYou == 'YES' then
		EPAConfig.GoToYou = 'NO'
		EPAConfig.GTYMsg = '.'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Adverts no longer tell people that you will go to them.")
	end

elseif msg == "ret" then

if EPAConfig.DoReturns == 'NO' then
	if EPAConfig.FreePorts == "NO" then
		EPAConfig.DoReturns = 'YES'
		EPAConfig.ReturnsMsg = ' For ' .. EPAConfig.ReturnValue .. '% extra, I will do a return journey (where applicable)'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Return Journeys have been |cFF00FF00enabled|r.")
	elseif EPAConfig.FreePorts == "YES" then
		EPAConfig.DoReturns = 'YES'
		EPAConfig.ReturnsMsg = 'I offer a return journey service'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Return Journeys have been |cFF00FF00enabled|r.")
	end
elseif EPAConfig.DoReturns == 'YES' then
		EPAConfig.DoReturns = 'NO'
		EPAConfig.ReturnsMsg = 'I do not offer return journeys'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Return Journeys have been |cFFFF0000disabled|r.")
	end

else
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r |cFF00FFFF" .. msg .. "|r is not a valid argument.")
end
end

function plugincheck()

	cdcloaded = IsAddOnLoaded("EPA-CooldownMonitor")
	food = IsAddOnLoaded("EPA-Refreshments")
	wmsg = IsAddOnLoaded("EPA-Whispers")

		if cdcloaded == 1 then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Cooldown Monitor is |cFF00FF00enabled|r.")
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Cooldown Monitor is |cFFFF0000disabled|r.")
		end

		if food == 1 then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Refreshments plugin is |cFF00FF00enabled|r.")
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Refreshments plugin is |cFFFF0000disabled|r.")
		end

		if wmsg == 1 then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Whispers plugin is |cFF00FF00enabled|r.")
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r Whispers plugin is |cFFFF0000disabled|r.")
		end

end

function allports(msg, editbox)

if msg == nil or msg == "" then
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r |cFFFF0000[Error]|r Please enter a price.")
elseif msg == "free" or msg == "Free" then
	local priceall = msg
	EPAConfig.City = 'Free'
	EPAConfig.Dalaran = 'Free'
	EPAConfig.Shattrath = 'Free'
	EPAConfig.Other = 'Free'
	EPAConfig.TolBarad = 'Free'
	EPAConfig.ValeOEB = 'Free'
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r All your portals are now free.")
	EPAConfig.FreePorts = 'YES'
	checkretmsg()
else
	local priceall = msg
	EPAConfig.City = priceall
	EPAConfig.Dalaran = priceall
	EPAConfig.Shattrath = priceall
	EPAConfig.Other = priceall
	EPAConfig.TolBarad = priceall
	EPAConfig.ValeOEB = priceall
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[Easy Portal Advert]|r All your portals are now " .. priceall .. " each.")
	EPAConfig.FreePorts = 'NO'
	checkretmsg()
end

end

function freeportalcheck()

if EPAConfig.City == "Free" and EPAConfig.Dalaran == "Free" and EPAConfig.Shattrath == "Free" and EPAConfig.Other == "Free" and EPAConfig.TolBarad == "Free" and EPAConfig.ValeOEB == "Free" then
	if EPAConfig.FreePorts == "NO" then
		EPAConfig.FreePorts = 'YES'
		checkretmsg()
	end
else
	if EPAConfig.FreePorts == "YES" then
		EPAConfig.FreePorts = 'NO'
		checkretmsg()
	end
end

end