local price = CreateFrame("Frame")
price:RegisterEvent("CHAT_MSG_WHISPER")
price:SetScript("OnEvent", function(self, event, arg1, arg2)
	if event == "CHAT_MSG_WHISPER" and strfind(arg1, EPAConfig.Keyword) and UnitLevel("player") >= 74 then
		
		SendWho(arg2)
		name, guild, level, race, class, zone, classFileName, sex = GetWhoInfo(1)

		if classFileName == "MAGE" and level >= 42 then
			SendChatMessage("Sorry, but I don't reveal my prices to other Mages.", "WHISPER", nil, arg2)
		else
			SendChatMessage("My portal charges are as follows:", "WHISPER", nil, arg2)
			SendChatMessage("Capital Cities: " .. EPAConfig.City, "WHISPER", nil, arg2)
			SendChatMessage(OtherPlaceName .. ": " .. EPAConfig.Other, "WHISPER", nil, arg2)
			SendChatMessage("Shattrath: " .. EPAConfig.Dalaran, "WHISPER", nil, arg2)
			SendChatMessage("Dalaran: " .. EPAConfig.Dalaran, "WHISPER", nil, arg2)

			if UnitLevel("player") >= 85 then
				SendChatMessage("Tol Barad: " .. EPAConfig.TolBarad, "WHISPER", nil, arg2)
			end

			if UnitLevel("player") == 90 then
				SendChatMessage("Vale of Eternal Blossoms: " .. EPAConfig.ValeOEB, "WHISPER", nil, arg2)
			end

			if EPAConfig.PerPerson == "YES" then
				if EPAConfig.DoReturns == "YES" then
					SendChatMessage("All prices are per person. The " .. EPAConfig.ReturnsValue .. "% return journey fee does not apply to portals which are free.", "WHISPER", nil, arg2)
				elseif EPAConfig.DoReturns == "NO" then
					SendChatMessage("All prices are per person.", "WHISPER", nil, arg2)
				end
			end
		end
	end
end)